/*
Call to actions

  `cta-in-website`  - in-website cta default color Sand.

.cta-in-website--lemon  - Color extender for in-website cta.
.cta-in-website--blue  - Color extender for in-website cta.
.cta-in-website--red  - Color extender for in-website cta.
.cta-in-website--green  - Color extender for in-website cta.
.cta-in-website--purple  - Color extender for in-website cta.

Markup:
<a href="#" class="cta-in-website {{modifier_class}}">
  <span>Link text style for in-website</span>
</a>


Styleguide: components.call-to-actions
*/

.cta-in-website{
  display: inline;

  word-break: break-word;
  text-decoration: none;
  cursor: pointer;

  padding: $small-spacing $tiny-spacing;

  font-family: $base-font-family;

  font-weight: 700;
  font-size: 1.2em;

  line-height: 2.4;

  text-align: left;
  text-transform: uppercase;

  box-shadow: 0 2px 0 color(black);
  background-color: color(sand);
  color: color(black);

  span{
     padding: 0 $small-spacing;
     display: inline ;

     box-decoration-break: clone;
      -webkit-box-decoration-break: clone;
  }

  &:after{
    content:'';
    display: inline;
    position: absolute;
    width: 3rem;
    height: 3rem;

    background-image: url(arrow-right.svg);

    background-position: center;
    background-repeat: no-repeat;
  }
}


@each $color,$value in $_colors{
  .cta-in-website--#{$color}{
      background-color: $value;
  }

}
